Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.regex
Class RegexReplace

    java.lang.Object
      cascading.operation.BaseOperation<C>
          cascading.operation.regex.RegexOperation<Pair<Matcher,Tuple>>
              cascading.operation.regex.RegexReplace

All Implemented Interfaces:
  Function<Pair<Matcher,Tuple>>, Operation<Pair<Matcher,Tuple>>, Serializable

    public class RegexReplace

extends RegexOperation<Pair<Matcher,Tuple>>
implements Function<Pair<Matcher,Tuple>>

Class RegexReplace is used to replace a matched regex with a replacement value.

RegexReplace only expects one field value. If more than one argument value is passed, only the first is handled, the remainder are ignored.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.operation.regex.RegexOperation
`patternString`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`RegexReplace(Fields fieldDeclaration, String patternString, String replacement)` Constructor RegexReplace creates a new RegexReplace instance.
`RegexReplace(Fields fieldDeclaration, String patternString, String replacement, boolean replaceAll)` Constructor RegexReplace creates a new RegexReplace instance,

Method Summary
`boolean` | `equals(Object object)`
`String` | `getReplacement()`
`int` | `hashCode()`
`boolean` | `isReplaceAll()`
`void` | `operate(FlowProcess flowProcess, FunctionCall<Pair<Matcher,Tuple>> functionCall)` Method operate provides the implementation of this Function.
`void` | `prepare(FlowProcess flowProcess, OperationCall<Pair<Matcher,Tuple>> operationCall)` Method prepare does nothing, and may safely be overridden.

Methods inherited from class cascading.operation.regex.RegexOperation
`getPattern, getPatternString`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

Constructor Detail

### RegexReplace

    @ConstructorProperties(value={"fieldDeclaration","patternString","replacement","replaceAll"})
    public RegexReplace(Fields fieldDeclaration,
                                                   String patternString,
                                                   String replacement,
                                                   boolean replaceAll)

  Constructor RegexReplace creates a new RegexReplace instance,

  Parameters:
    `fieldDeclaration` - of type Fields
    `patternString` - of type String
    `replacement` - of type String
    `replaceAll` - of type boolean

### RegexReplace

    @ConstructorProperties(value={"fieldDeclaration","patternString","replacement"})
    public RegexReplace(Fields fieldDeclaration,
                                                   String patternString,
                                                   String replacement)

  Constructor RegexReplace creates a new RegexReplace instance.

  Parameters:
    `fieldDeclaration` - of type Fields
    `patternString` - of type String
    `replacement` - of type String

Method Detail

### getReplacement

    public String getReplacement()

### isReplaceAll

    public boolean isReplaceAll()

### prepare

    public void prepare(FlowProcess flowProcess,
                        OperationCall<Pair<Matcher,Tuple>> operationCall)

  Description copied from class: `BaseOperation`
  Method prepare does nothing, and may safely be overridden.

  Specified by:
    `prepare` in interface `Operation<Pair<Matcher,Tuple>>`
  Overrides:
    `prepare` in class `BaseOperation<Pair<Matcher,Tuple>>`

### operate

    public void operate(FlowProcess flowProcess,
                        FunctionCall<Pair<Matcher,Tuple>> functionCall)

  Description copied from interface: `Function`
  Method operate provides the implementation of this Function.

  Specified by:
    `operate` in interface `Function<Pair<Matcher,Tuple>>`
  Parameters:
    `flowProcess` - of type FlowProcess
    `functionCall` - of type FunctionCall

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `RegexOperation<Pair<Matcher,Tuple>>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `RegexOperation<Pair<Matcher,Tuple>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.